Browse Source

Revert default Ruby version to 2.7.2 (#16154)

Ruby 2.7.3 introduced a new bug with Resolv::DNS, which we heavily use within
Mastodon: https://bugs.ruby-lang.org/issues/17781

Ruby 2.7.3 also included security fixes for two CVEs, but those do not seem
to apply to Mastodon:
https://github.com/tootsuite/mastodon/pull/16004#issuecomment-815125025
closed-social-v3
Claire 5 months ago
committed by GitHub
parent
commit
d95128c99d
No known key found for this signature in database GPG Key ID: 4AEE18F83AFDEB23
2 changed files with 2 additions and 2 deletions
  1. +1
    -1
      .ruby-version
  2. +1
    -1
      Dockerfile

+ 1
- 1
.ruby-version View File

@ -1 +1 @@
2.7.3
2.7.2

+ 1
- 1
Dockerfile View File

@ -26,7 +26,7 @@ RUN ARCH= && \
mv node-v$NODE_VER-linux-$ARCH /opt/node
# Install Ruby
ENV RUBY_VER="2.7.3"
ENV RUBY_VER="2.7.2"
RUN apt-get update && \
apt-get install -y --no-install-recommends build-essential \
bison libyaml-dev libgdbm-dev libreadline-dev libjemalloc-dev \

Loading…
Cancel
Save